#
# spec file for package dfu-programmer
#
# Copyright (c) 2016 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           dfu-programmer
Version:        0.7.2
Release:        bp153.1.17
Summary:        A Device Firmware Update based USB programmer for Atmel chips
License:        GPL-2.0+
Group:          Development/Tools/Other
Url:            http://dfu-programmer.sourceforge.net
Source:         http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
BuildRequires:  pkg-config
BuildRequires:  pkgconfig(libusb-1.0)
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
dfu-programmer is an implementation of the Device Firmware Upgrade class
USB driver that enables firmware upgrades for various USB enabled (with the
correct bootloader) Atmel chips. This program was created because the
Atmel "FLIP" program for flashing devices does not support flashing via USB
on Linux, and because standard DFU loaders do not work for Atmel's chips.

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
%make_install

%files
%defattr(-, root, root)
%doc AUTHORS NEWS README COPYING
%{_bindir}/dfu-programmer
%{_mandir}/man1/%{name}.1*

%changelog
* Tue Mar 22 2016 wk@ire.pw.edu.pl
- Update to version 0.7.2
  + Use the correct memory ranges for XMega.
    Bootloader space is additional to listed device size.
* Sun Jan  4 2015 p.drouand@gmail.com
- Update to version 0.7.1
  + Fix use of mandatory filename ChangeLog in distribution tarball
  + Fix infinite loop in rpl_malloc
  + Add experimental support for autocomplete on Ubuntu
  + Fix exit status of help-related options and improve start sequence
- Changes from version 0.7.0
  + Add support for atmega16c4 and atmega32c4
  + Fix device erase for bootloaders which return busy status
  + Better include file defaults for libusb when run bootstrap is run
    without pkgconfig.
  + Improved status output
  + Add hex dump commands
  + Add blank memory check
  + Major rework of the flash/user/eeprom code
  + Replace start and reset commands with launch
  + Repository and website migrated to GitHub
- Add pkg-config build require; needed to find libusb.h
* Sat Aug  2 2014 dmitry_r@opensuse.org
- spec file cleanup
- Use pkgconfig for build requires
* Tue Dec 17 2013 jw@suse.com
- updated to version 0.6.2
* Fri Jul  6 2012 mail.aroessler@gmail.com
- updated to version 0.5.4
* Wed Jun 10 2009 bernhard.walle@gmx.de
- Fix build for openSUSE 11.1.
* Sun Sep 30 2007 bwalle@suse.de
- initial package
